Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Sample request:
POST /stockadjustmentreasons
{
"name": "Stock Adjustment Reason Name",
"disabled": true
}
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Stock Adjustment Reason model
Stock Adjustment Reason created
Stock Adjustment Reason Model
Stock Adjustment Reason Id.
Stock Adjustment Reason name
Stock Adjustment Reason disabled flag
Stock Adjustment Reason creation date and time
Stock Adjustment Reason modification date and time
Searches Stock Adjustment Reasons by parameters
Filter by.
Available field name values: id, name, created_on, modified_on, disabled
In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’
For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character
Available operators:
eq - Equal
neq - Not equals
lt - Less
lte - Less or equal
gt - Greater
gte - Greater or equal
in - In
notin - Not In
contains - Contains
isnull - Is Null
isnullorempty - Is Null Or Empty
isnotnull - Is Not Null
startswith - Starts with
endswith - Ends with
doesnotcontain - Does not contain
For non-nullable fields operators isnull and isnotnull are unavailable
For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable
For strings operators: lt, lte, gt, gte are unavailable
Example: created_on:gte:2021-06-03T05:48:09+10:00,disabled:eq:true
Order by.
Available field name values: id, name, created_on, modified_on, disabled
Available direction values: asc, desc.
Example: id asc, name desc
>= 1<= 100000
>= 1<= 2147483647
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Paging Response with Stock Adjustment Reasons data
Stock Adjustment Reason Model
Sample request:
PUT /stockadjustmentreasons/12
{
"name": "Updated Stock Adjustment Reason name",
"disabled": true
}
Stock Adjustment Reason id
Example:1
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Stock Adjustment Reason model
Returns updated Stock Adjustment Reason
Stock Adjustment Reason Model
Stock Adjustment Reason Id.
Stock Adjustment Reason name
Stock Adjustment Reason disabled flag
Stock Adjustment Reason creation date and time
Stock Adjustment Reason modification date and time
Deletes Stock Adjustment Reason by id when not used in any stock adjustment
Stock Adjustment Reason id
Example:1
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Stock Adjustment Reason deleted